Package fr.gouv.vitam.common.utils

# Class VitamReaderSpliterator

java.lang.Object
fr.gouv.vitam.common.utils.VitamReaderSpliterator

All Implemented Interfaces:
  `Spliterator<String>`

public class VitamReaderSpliterator extends Object implements Spliterator<String>
Vitam reader Spliterator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Spliterator

  `Spliterator.OfDouble, Spliterator.OfInt, Spliterator.OfLong, Spliterator.OfPrimitive<T,T_CONS,T_SPLITR extends Spliterator.OfPrimitive<T,T_CONS,T_SPLITR>>`

- ## Field Summary

  ### Fields inherited from interface java.util.Spliterator

  `CONCURRENT, DISTINCT, IMMUTABLE, NONNULL, ORDERED, SIZED, SORTED, SUBSIZED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamReaderSpliterator(BufferedReader reader)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `characteristics()`
  `long`
  `estimateSize()`
  `boolean`
  `tryAdvance(Consumer<? super String> action)`
  `Spliterator<String>`
  `trySplit()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Spliterator

  `forEachRemaining, getComparator, getExactSizeIfKnown, hasCharacteristics`

- ## Constructor Details

  - ### VitamReaderSpliterator

    public VitamReaderSpliterator(BufferedReader reader)
    Constructor.
    Parameters:
      `reader` -

- ## Method Details

  - ### tryAdvance

    public boolean tryAdvance(Consumer<? super String> action)
    Specified by:
      `tryAdvance` in interface `Spliterator<String>`

  - ### trySplit

    public Spliterator<String> trySplit()
    Specified by:
      `trySplit` in interface `Spliterator<String>`

  - ### estimateSize

    public long estimateSize()
    Specified by:
      `estimateSize` in interface `Spliterator<String>`

  - ### characteristics

    public int characteristics()
    Specified by:
      `characteristics` in interface `Spliterator<String>`